# Generated by rust2rpm 24
%bcond_without check

%global crate tiny-dfr

Name:           rust-tiny-dfr
Version:        0.1.1
Release:        %autorelease
Summary:        Most basic dynamic function row daemon possible

License:        MIT AND Apache-2.0
URL:            https://crates.io/crates/tiny-dfr
Source:         %{crates_source}
# Actually use c_char instead of assuming it is the same as u8
Patch:          https://github.com/WhatAmISupposedToPutHere/tiny-dfr/commit/f7e84ad69fa3754993e637850e5344702047b2de.patch
# udev: Add rule matching the backlight to let systemd ignore it
Patch:          https://github.com/WhatAmISupposedToPutHere/tiny-dfr/commit/cc50c3314c0ce748b1f9d3c22667f165b15e7b12.patch

BuildRequires:  rust-packaging >= 23
BuildRequires:  systemd-rpm-macros

# Due to rust-drm
ExcludeArch:    ppc64le s390x

%global _description %{expand:
The most basic dynamic function row daemon possible.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# See LICENSE.dependencies for the full breakdown
License:        Apache-2.0 AND BSD-3-Clause AND CC0-1.0 AND ISC AND LGPL-2.1-or-later AND MIT AND MPL-2.0 AND Unicode-DFS-2016 AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT)

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.material
%license LICENSE.dependencies
%doc README.md
%{_bindir}/tiny-dfr
%{_datadir}/%{crate}/
%{_udevrulesdir}/*.rules
%{_unitdir}/%{crate}.service

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%cargo_license_summary
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

install -Dpm0644 -t %{buildroot}%{_datadir}/%{crate} share/%{crate}/*.svg
install -Dpm0644 -t %{buildroot}%{_udevrulesdir} etc/udev/rules.d/*.rules
install -Dpm0644 -t %{buildroot}%{_unitdir} etc/systemd/system/%{crate}.service

%post -n %{crate}
%systemd_post %{crate}.service

%preun -n %{crate}
%systemd_preun %{crate}.service

%postun -n %{crate}
%systemd_postun_with_restart %{crate}.service

%if %{with check}
%check
%cargo_test
%endif

%changelog
%autochangelog
